"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var seedrandom_1 = __importDefault(require("seedrandom"));
var rng = seedrandom_1.default();
var words = [
    "Adult",
    "Aeroplane",
    "Air",
    "Aircraft Carrier",
    "Airforce",
    "Airport",
    "Album",
    "Alphabet",
    "Apple",
    "Arm",
    "Army",
    "Baby",
    "Baby",
    "Backpack",
    "Balloon",
    "Banana",
    "Bank",
    "Barbecue",
    "Bathroom",
    "Bathtub",
    "Bed",
    "Bed",
    "Bee",
    "Bible",
    "Bible",
    "Bird",
    "Bomb",
    "Book",
    "Boss",
    "Bottle",
    "Bowl",
    "Box",
    "Boy",
    "Brain",
    "Bridge",
    "Butterfly",
    "Button",
    "Cappuccino",
    "Car",
    "Car-race",
    "Carpet",
    "Carrot",
    "Cave",
    "Chair",
    "Chess Board",
    "Chief",
    "Child",
    "Chisel",
    "Chocolates",
    "Church",
    "Church",
    "Circle",
    "Circus",
    "Circus",
    "Clock",
    "Clown",
    "Coffee",
    "Coffee-shop",
    "Comet",
    "Compact Disc",
    "Compass",
    "Computer",
    "Crystal",
    "Cup",
    "Cycle",
    "Data Base",
    "Desk",
    "Diamond",
    "Dress",
    "Drill",
    "Drink",
    "Drum",
    "Dung",
    "Ears",
    "Earth",
    "Egg",
    "Electricity",
    "Elephant",
    "Eraser",
    "Explosive",
    "Eyes",
    "Family",
    "Fan",
    "Feather",
    "Festival",
    "Film",
    "Finger",
    "Fire",
    "Floodlight",
    "Flower",
    "Foot",
    "Fork",
    "Freeway",
    "Fruit",
    "Fungus",
    "Game",
    "Garden",
    "Gas",
    "Gate",
    "Gemstone",
    "Girl",
    "Gloves",
    "God",
    "Grapes",
    "Guitar",
    "Hammer",
    "Hat",
    "Hieroglyph",
    "Highway",
    "Horoscope",
    "Horse",
    "Hose",
    "Ice",
    "Ice-cream",
    "Insect",
    "Jet fighter",
    "Junk",
    "Kaleidoscope",
    "Kitchen",
    "Knife",
    "Leather jacket",
    "Leg",
    "Library",
    "Liquid",
    "Magnet",
    "Man",
    "Map",
    "Maze",
    "Meat",
    "Meteor",
    "Microscope",
    "Milk",
    "Milkshake",
    "Mist",
    "Money $$$$",
    "Monster",
    "Mosquito",
    "Mouth",
    "Nail",
    "Navy",
    "Necklace",
    "Needle",
    "Onion",
    "PaintBrush",
    "Pants",
    "Parachute",
    "Passport",
    "Pebble",
    "Pendulum",
    "Pepper",
    "Perfume",
    "Pillow",
    "Plane",
    "Planet",
    "Pocket",
    "Post-office",
    "Potato",
    "Printer",
    "Prison",
    "Pyramid",
    "Radar",
    "Rainbow",
    "Record",
    "Restaurant",
    "Rifle",
    "Ring",
    "Robot",
    "Rock",
    "Rocket",
    "Roof",
    "Room",
    "Rope",
    "Saddle",
    "Salt",
    "Sandpaper",
    "Sandwich",
    "Satellite",
    "School",
    "Sex",
    "Ship",
    "Shoes",
    "Shop",
    "Shower",
    "Signature",
    "Skeleton",
    "Slave",
    "Snail",
    "Software",
    "Solid",
    "Space Shuttle",
    "Spectrum",
    "Sphere",
    "Spice",
    "Spiral",
    "Spoon",
    "Sports-car",
    "Spot Light",
    "Square",
    "Staircase",
    "Star",
    "Stomach",
    "Sun",
    "Sunglasses",
    "Surveyor",
    "Swimming Pool",
    "Sword",
    "Table",
    "Tapestry",
    "Teeth",
    "Telescope",
    "Television",
    "Tennis racquet",
    "Thermometer",
    "Tiger",
    "Toilet",
    "Tongue",
    "Torch",
    "Torpedo",
    "Train",
    "Treadmill",
    "Triangle",
    "Tunnel",
    "Typewriter",
    "Umbrella",
    "Vacuum",
    "Vampire",
    "Videotape",
    "Vulture",
    "Water",
    "Weapon",
    "Web",
    "Wheelchair",
    "Window",
    "Woman",
    "Worm",
    "X-ray"
];
var random = {
    seed: function (seed) {
        rng = seedrandom_1.default(seed);
    },
    // max is exclusive
    integer: function (max, min) {
        if (max === void 0) { max = 100; }
        if (min === void 0) { min = 1; }
        return Math.floor(random.float(max, min));
    },
    // max is exclusive, min is inclusive
    float: function (max, min) {
        if (max === void 0) { max = 100; }
        if (min === void 0) { min = 1; }
        return rng() * (max - min) + min;
    },
    // max and min are inclusive
    list: function (maxLength, minLength) {
        if (maxLength === void 0) { maxLength = 4; }
        if (minLength === void 0) { minLength = 1; }
        return __spreadArrays(Array(random.integer(maxLength + 1, minLength)));
    },
    // max and min are inclusive
    words: function (numWordsMax, numWordsMin) {
        if (numWordsMax === void 0) { numWordsMax = 3; }
        if (numWordsMin === void 0) { numWordsMin = 1; }
        return random
            .list(numWordsMax, numWordsMin)
            .map(function (_) {
            return words[random.integer(words.length, 0)];
        })
            .join(" ");
    },
    boolean: function () { return rng() > 0.5; }
};
exports.default = random;
//# sourceMappingURL=random.js.map